Skip to main content
POST
Run a workflow once

Authorizations

The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.

Path Parameters

workflowId
string<uuid>
required

The workflow's id, as in https://connie.ai/<workspace-id>/workflows/<workflow-id>.

Body

application/json
inputs
object

Values for the workflow's input variables.

trigger
object

A sample trigger event to run with. type is the trigger id and payload is the event data that {{Trigger.field}} variables read.

waitForResult
boolean
default:false

Wait up to 30 seconds for the run to finish.

Response

The run started. With waitForResult, status is success, error, or running if the run took longer than 30 seconds.

runId
string

Identifies this run.

status
enum<string>
Available options:
running,
success,
error
error
string | null